ERPNext.com Frappe Cloud Support Partners Foundation Frappe School

Constant Error Logs

Hello everyone,

I keep getting error logs not sure how to fix them or who can support in fixing them?

An example of an error log:

Traceback (most recent call last):
File “/usr/lib/python3.6/imaplib.py”, line 1019, in _command_complete
typ, data = self._get_tagged_response(tag)
File “/usr/lib/python3.6/imaplib.py”, line 1139, in _get_tagged_response
self._get_response()
File “/usr/lib/python3.6/imaplib.py”, line 1047, in _get_response
resp = self._get_line()
File “/usr/lib/python3.6/imaplib.py”, line 1151, in _get_line
raise self.abort(‘socket error: EOF’)
imaplib.IMAP4.abort: socket error: EOF

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/background_jobs.py”, line 100, in execute_job
method(**kwargs)
File “/home/frappe/frappe-bench/apps/frappe/frappe/email/doctype/email_account/email_account.py”, line 844, in pull_from_email_account
email_account.receive()
File “/home/frappe/frappe-bench/apps/frappe/frappe/email/doctype/email_account/email_account.py”, line 317, in receive
emails = email_server.get_messages()
File “/home/frappe/frappe-bench/apps/frappe/frappe/email/receive.py”, line 108, in get_messages
if not self.connect():
File “/home/frappe/frappe-bench/apps/frappe/frappe/email/receive.py”, line 51, in connect
return self.connect_imap()
File “/home/frappe/frappe-bench/apps/frappe/frappe/email/receive.py”, line 62, in connect_imap
self.imap.login(self.settings.username, self.settings.password)
File “/usr/lib/python3.6/imaplib.py”, line 596, in login
typ, dat = self._simple_command(‘LOGIN’, user, self._quote(password))
File “/usr/lib/python3.6/imaplib.py”, line 1196, in _simple_command
return self._command_complete(name, self._command(name, *args))
File “/usr/lib/python3.6/imaplib.py”, line 1021, in _command_complete
raise self.abort(‘command: %s => %s’ % (name, val))
imaplib.IMAP4.abort: command: LOGIN => socket error: EOF

or

Traceback (most recent call last):
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/boto3/s3/transfer.py”, line 279, in upload_file
future.result()
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/s3transfer/futures.py”, line 106, in result
return self._coordinator.result()
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/s3transfer/futures.py”, line 265, in result
raise self._exception
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/s3transfer/tasks.py”, line 126, in call
return self._execute_main(kwargs)
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/s3transfer/tasks.py”, line 150, in _execute_main
return_value = self._main(**kwargs)
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/s3transfer/upload.py”, line 694, in _main
client.put_object(Bucket=bucket, Key=key, Body=body, **extra_args)
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/botocore/client.py”, line 357, in _api_call
return self._make_api_call(operation_name, kwargs)
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/botocore/client.py”, line 676, in _make_api_call
raise error_class(parsed_response, operation_name)
botocore.exceptions.ClientError: An error occurred (IllegalLocationConstraintException) when calling the PutObject operation: The me-south-1 location constraint is incompatible for the region specific endpoint this request was sent to.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/frappe/frappe-bench/apps/frappe/frappe/integrations/doctype/s3_backup_settings/s3_backup_settings.py”, line 153, in upload_file_to_s3
conn.upload_file(filename, bucket, destpath) # Requires PutObject permission
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/boto3/s3/inject.py”, line 131, in upload_file
extra_args=ExtraArgs, callback=Callback)
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/boto3/s3/transfer.py”, line 287, in upload_file
filename, ‘/’.join([bucket, key]), e))
boto3.exceptions.S3UploadFailedError: Failed to upload ./erp.bhdoman.com/private/backups/20210521_000027-erp_bhdoman_com-files.tar to erpbhdoman/20210521_000027/20210521_000027-erp_bhdoman_com-files.tar: An error occurred (IllegalLocationConstraintException) when calling the PutObject operation: The me-south-1 location constraint is incompatible for the region specific endpoint this request was sent to.